Bug 110977 - [CI][BAT] igt@i915_selftest@live_execlists - incomplete - Kernel panic - not syncing: Fatal exception in interrupt
Summary: [CI][BAT] igt@i915_selftest@live_execlists - incomplete - Kernel panic - not ...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-24 08:03 UTC by Martin Peres
Modified: 2019-10-10 10:35 UTC (History)
1 user (show)

See Also:
i915 platform: CFL
i915 features: GEM/execlists


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-06-24 08:03:07 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6319/fi-cfl-8109u/igt@i915_selftest@live_execlists.html

<4>[  457.942572] RIP: 0010:kick_siblings.isra.1+0xf/0x40 [i915]
<4>[  457.942572] Code: 00 e8 e5 2a b1 e0 48 89 df e8 8d ca 00 00 e9 cc f6 ff ff 0f 1f 84 00 00 00 00 00 48 8b 96 40 01 00 00 48 85 d2 74 1c 0f b6 07 <0f> b6 92 58 02 00 00 f7 d0 85 d0 74 0c f0 48 0f ba ae 88 ec ff ff
<4>[  457.942572] RSP: 0018:ffffc90002a23548 EFLAGS: 00010002
<4>[  457.942572] RAX: 0000000000000004 RBX: ffff8882565c2158 RCX: 0000000000000000
<4>[  457.942572] RDX: 6b6b6b6b6b6b6b6b RSI: ffff888110143830 RDI: ffff88816d6e3b98
<4>[  457.942572] RBP: ffffffffa0681690 R08: 0000000000000000 R09: 0000000000000000
<4>[  457.942572] R10: ffffc90002a233f8 R11: 0000000000000000 R12: ffff88816d6e3940
<4>[  457.942572] R13: ffff888110143830 R14: ffff8882ae69c040 R15: 0000000000000003
<4>[  457.942572] FS:  00007f8a6d724e40(0000) GS:ffff8882b5a00000(0000) knlGS:0000000000000000
<4>[  457.942572] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[  457.942572] CR2: 000056254b0e2248 CR3: 0000000248a7a002 CR4: 00000000003606f0
<0>[  457.942572] Kernel panic - not syncing: Fatal exception in interrupt
<0>[  457.960160] Shutting down cpus with NMI
<0>[  457.960160] Dumping ftrace buffer:
<0>[  457.960160]    (ftrace buffer empty)
<0>[  457.960160] Kernel Offset: disabled
Comment 1 CI Bug Log 2019-06-24 08:04:34 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* CFL: igt@i915_selftest@live_execlists - incomplete
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6319/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4454/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
Comment 2 Chris Wilson 2019-06-24 08:20:19 UTC
commit 12fdaf19e05b69992502eb9c97fc3c180f797564
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 21 09:07:29 2019 +0100

    drm/i915/execlists: Keep virtual context alive until after we kick
    
    The call to kick_siblings() dereferences the rq->context, so we should
    not drop our local reference until afterwards!
    
    v2: Stick to setting ce.inflight=NULL before kicking as this is what the
    other threads will check to see if the context is ready for takeover.
    
    Fixes: 22b7a426bbe1 ("drm/i915/execlists: Preempt-to-busy")
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190621080729.2652-1-chris@chris-wilson.co.uk
Comment 3 CI Bug Log 2019-10-08 20:58:51 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* CFL: igt@runner@aborted - fail - Previous test: i915_selftest (live_execlists)
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14622/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14630/fi-cfl-8700k/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14633/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5079/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5082/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14616/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14616/fi-cfl-8700k/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14621/fi-cfl-8700k/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7027/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3550/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3551/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7028/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7029/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7030/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14699/fi-cfl-8109u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7031/fi-cfl-8109u/igt@runner@aborted.html
Comment 5 Chris Wilson 2019-10-08 23:50:04 UTC
Wrong bug.
Comment 7 Lakshmi 2019-10-10 10:35:30 UTC
Archiving this issue as the original issue occurred CI_DRM_6319 (3 months, 3 weeks old) ago.
Comment 8 CI Bug Log 2019-10-10 10:35:35 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.